Subject: Ticket Assigned - escalation wrong WWD / 9561685163
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 29 Mar 2022 05:33:04 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  escalation wrong WWD / 9561685163 ReDecor.me                    hi           09:15 AM, 29th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:15 AM, 29th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:15 AM, 29th Mar                     ReDecor.me                    your services are going down in no time!!           09:15 AM, 29th Mar                     ReDecor.me                    what a hell??? they show up after hours of delivery booked!!! take forever, dont bring items!! and now           09:16 AM, 29th Mar                     ReDecor.me                    WRONG items!           09:17 AM, 29th Mar                     ReDecor.me                    order number 9561685163           09:17 AM, 29th Mar                     ReDecor.me                    i booked these!           09:17 AM, 29th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            09:17 AM, 29th Mar                   New                   If you have any pictures that you would like to share, please do that.            09:17 AM, 29th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           09:17 AM, 29th Mar                     ReDecor.me                    and this what is what they bring!! what is this???????           09:17 AM, 29th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            09:18 AM, 29th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           09:20 AM, 29th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           09:20 AM, 29th Mar                     ReDecor.me                    but this is what you are giving to REGULAR CUSTOMER           09:20 AM, 29th Mar                     ReDecor.me                    what kind of mess is this??           09:20 AM, 29th Mar                     ReDecor.me                    in the first place when the delivery guys saw that is a WRONG ITEM why they even bring??           09:21 AM, 29th Mar                     ReDecor.me                    and left           09:21 AM, 29th Mar                     ReDecor.me                    they left the property 7pm!!!           09:21 AM, 29th Mar                     ReDecor.me                    when my delivery suppose to happen 10-2pm           09:21 AM, 29th Mar                   Ahmed                   We understand that this will be really frustrating to you, form this we have escalated this mistake to the delivery team to get back to replace the items, please allow us some time to fix this for you.           09:26 AM, 29th Mar                     ReDecor.me                    your management should find the way how to treat a REGULAR CUSTOMER like me           09:26 AM, 29th Mar                     ReDecor.me                    not to make my life misrable           09:26 AM, 29th Mar                   Ahmed                   I apologise for this inconvenience. I'm have escalate this to the concerned team right now with a high priority. It does take some time for them to action this. Please bear with us, I assure that I will resolve this issue for you. As soon as I get an update from them I will provide you with the resolution.           09:32 AM, 29th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4093097